Bug 982302 - Review Request: mod_xslt - Dynamic xsl transformations for apache
Review Request: mod_xslt - Dynamic xsl transformations for apache
Status: ASSIGNED
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-08 11:38 EDT by Christopher Meng
Modified: 2014-12-23 10:57 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Christopher Meng 2013-07-08 11:38:39 EDT
Spec URL: http://cicku.me/mod_xslt.spec
SRPM URL: http://cicku.me/mod_xslt-1.4.3-1.fc20.src.rpm
Description: mod-xslt is a server side module able to transform xml documents by applying xsl stylesheets on the fly.

It can:

- Transform dynamically generated xml, like the output of perl, php or 
cgi scripts.
- Allows you to specify which xsl stylesheet to use based on <?xml-stylesheet 
statements.
- Provides many extension to access client headers, GET parameters, 
regular expressions, build local URLs or to choose a different stylesheet 
based on any of those paramters.
- Fetch stylesheets or external entities from other dynamic pages, http or ftp 
urls if you are so inclined.
- Manipulate returned headers from the xsl stylesheet, and set the mime 
type of the transformation result.
- Parse external DTDs and use the defaults provided.
- Provide a set of standard compliant functions allowing you to keep your xsl 
or xml files compatible with any other xsl processor, even when using 
mod-xslt enhanced features.

Fedora Account System Username: cicku
Comment 1 Juan Orti 2013-07-10 02:52:23 EDT
You miss pcre-devel in BuildRequires

It fails to build to me in mock:

../../../lib/parser/modxslt-screen-expr.parser.c: In function 'mxslt_expr_yy_parse':
../../../lib/parser/modxslt-screen-expr.parser.c:1403:7: error: too few arguments to function 'mxslt_expr_yy_lex'
../../../lib/parser/modxslt-screen-expr.y:29:12: note: declared here
../../../lib/parser/modxslt-screen-expr.y:33:59: error: 'scanner' undeclared (first use in this function)
../../../lib/parser/modxslt-screen-expr.y:77:7: note: in expansion of macro 'mxslt_yy_accept'
../../../lib/parser/modxslt-screen-expr.y:33:59: note: each undeclared identifier is reported only once for each function it appears in
../../../lib/parser/modxslt-screen-expr.y:77:7: note: in expansion of macro 'mxslt_yy_accept'
make[1]: *** [parser/modxslt-screen-expr.parser.lo] Error 1
make[1]: *** Waiting for unfinished jobs....
make[2]: Leaving directory `/builddir/build/BUILD/mod-xslt-1.4.3/lib/parser'
make[1]: Leaving directory `/builddir/build/BUILD/mod-xslt-1.4.3/lib'
make: *** [library] Error 2
Comment 2 Christopher Meng 2013-07-10 05:48:36 EDT
Can you tell me your Fedora version?

I can ensure this can be built on Rawhide machine.
Comment 3 Juan Orti 2013-07-10 07:26:47 EDT
I'm working in Fedora 19 and do
$ mock -r fedora-rawhide-x86_64 mod_xslt-1.4.3-1.fc20.src.rpm
Comment 4 Christopher Meng 2013-07-15 20:33:58 EDT
Hi,

Are you still meeting this problem after adding pcre-devel?

In order to make your life easier, I've uploaded a new spec with pcre-devel added.

If you still have problem with this revision, please paste the full log.

I'm confused also...

Spec URL: http://cicku.me/mod_xslt.spec
SRPM URL: http://cicku.me/mod_xslt-1.4.3-2.fc20.src.rpm
Comment 5 Juan Orti 2013-07-16 03:00:38 EDT
I've catched the issue, the Makefile has problems with parallelization, compiling with "make -j 1" works ok.

rpmlint warns about some problems that worry me:
mod_xslt.x86_64: W: unstripped-binary-or-object /usr/lib64/libmodxslt1.so.1.0.0
mod_xslt.x86_64: W: shared-lib-calls-exit /usr/lib64/libmodxslt1.so.1.0.0 exit@GLIBC_2.2.5
mod_xslt.x86_64: W: unstripped-binary-or-object /usr/lib64/httpd/modules/mod_xslt.so
mod_xslt.x86_64: E: binary-or-shlib-defines-rpath /usr/lib64/httpd/modules/mod_xslt.so ['/usr/lib64']
mod_xslt-devel.x86_64: E: binary-or-shlib-defines-rpath /usr/bin/modxslt-parse ['/usr/lib64']

Also, in the %description, you have a typo, in the third bullet: paramters -> parameters.

Take a look at the rpmlint problems to see what can be done. I'm also going to investigate them.

Note You need to log in before you can comment on or make changes to this bug.